<?php
namespace Magento\Elasticsearch\Model\Adapter\Index\Builder;

/**
 * Interceptor class for @see \Magento\Elasticsearch\Model\Adapter\Index\Builder
 */
class Interceptor extends \Magento\Elasticsearch\Model\Adapter\Index\Builder implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\Locale\Resolver $localeResolver, \Magento\Elasticsearch\Model\Adapter\Index\Config\EsConfigInterface $esConfig, \Magento\Search\Model\ResourceModel\SynonymReader $synonymReader)
    {
        $this->___init();
        parent::__construct($localeResolver, $esConfig, $synonymReader);
    }

    /**
     * {@inheritdoc}
     */
    public function build()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'build');
        return $pluginInfo ? $this->___callPlugins('build', func_get_args(), $pluginInfo) : parent::build();
    }
}
